%define pypi_name jupyter

Name:           jupyter
Version:        1.0.0
Release:        %mkrel 13
Group:          Development/Python
Summary:        Jupyter metapackage

License:        BSD
URL:            https://jupyter.org/
Source0:        https://pypi.io/packages/source/q/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-use-setuptools-for-everything-so-the-python-Depends-.patch
Patch1:         dont-install-jupiter-module.patch
BuildArch:      noarch
 
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(sphinx)
Requires:       python3-%{pypi_name} = %{version}-%{release}


%description
Install the Jupyter system, including the notebook, 
qtconsole, and the IPython kernel.


%package -n     python3-%{pypi_name}
Summary:        Jupyter metapackage (Python 3)
Requires:       ipython
Requires:       jupyter-client
Requires:       jupyter-console
Requires:       jupyter-core
Requires:       jupyter-nbconvert
Requires:       jupyter-notebook
Requires:       jupyter-notebook
Recommends:     jupyter-qtconsole
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{name}
Install the Jupyter system, including the notebook, 
qtconsole, and the IPython kernel.

This package installs Jupyter for Python 3.


%package doc
Summary:        Documentation for Jupyter
Group:          Development/Python
BuildArch:      noarch

%description doc
This package contains documentation for Jupyter.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py3_build


%install
%py3_install
pushd docs
sed -i 's/sphinx-build/sphinx-build-3/g' Makefile
PYTHONPATH=. make man
install -d %{buildroot}%{_mandir}/man1
mv ./build/man/jupyter*.1 %{buildroot}%{_mandir}/man1/
popd


%files doc
%doc docs/source/*.rst
%{_mandir}/man1/*
%license LICENSE


%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/*



%changelog
* Tue Mar 04 2025 wally <wally> 1.0.0-13.mga10
+ Revision: 2160375
- rebuild for python3.13

* Sat Feb 24 2024 daviddavid <daviddavid> 1.0.0-12.mga10
+ Revision: 2043976
- rebuild for py3.12

* Tue Mar 29 2022 umeabot <umeabot> 1.0.0-11.mga9
+ Revision: 1832945
- Mageia 9 Mass Rebuild

* Sun Mar 06 2022 mrambo3501 <mrambo3501> 1.0.0-10.mga9
+ Revision: 1789139
- rebuild for python-3.10

* Sat Mar 27 2021 daviddavid <daviddavid> 1.0.0-9.mga9
+ Revision: 1710955
- rebuild for python 3.9
- fix python3 pkg name
- fix owner of python3 sitelib dir

* Sun Feb 16 2020 umeabot <umeabot> 1.0.0-8.mga8
+ Revision: 1533432
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 daviddavid <daviddavid> 1.0.0-7.mga8
+ Revision: 1444389
- rebuild for python3.8

* Fri Jan 11 2019 tmb <tmb> 1.0.0-6.mga7
+ Revision: 1355160
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-5.mga7
+ Revision: 1279165
- Mageia 7 Mass Rebuild

* Wed Aug 09 2017 philippem <philippem> 1.0.0-4.mga7
+ Revision: 1139275
- rebuild with py3 only, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 1.0.0-3.mga7
+ Revision: 1135232
- Rebuild for python 3.6

* Fri Dec 16 2016 philippem <philippem> 1.0.0-2.mga6
+ Revision: 1075585
- The 'jupyter' module was moved into the jupyter_core distribution

* Mon Apr 18 2016 philippem <philippem> 1.0.0-1.mga6
+ Revision: 1003533
- imported package jupyter

